using FluentValidation;

namespace Indotalent.Features.Inventory.Scrapping.Cqrs;

public class UpdateScrappingValidator : AbstractValidator<UpdateScrappingRequest>
{
    public UpdateScrappingValidator()
    {
        RuleFor(x => x.Id).NotEmpty();
        RuleFor(x => x.ScrappingDate).NotEmpty().WithMessage("Scrapping Date is required");
        RuleFor(x => x.WarehouseId).NotEmpty().WithMessage("Warehouse is required");
    }
}